Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class FileSharingRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.FileSharingRecord

    public final class FileSharingRecord

extends StandardRecord

Title: FILESHARING (0x005B)

Description: stores the encrypted readonly for a workbook (write protect) This functionality is accessed from the options dialog box available when performing 'Save As'.

REFERENCE: PG 314 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `sid`

Constructor Summary
`FileSharingRecord()`
`FileSharingRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()` Clone this record.
`short` | `getPassword()`
`short` | `getReadOnly()` get the readonly
`short` | `getSid()` return the non static version of the id for this record.
`java.lang.String` | `getUsername()`
`static short` | `hashPassword(java.lang.String password)`
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setPassword(short password)`
`void` | `setReadOnly(short readonly)` set the readonly flag
`void` | `setUsername(java.lang.String username)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### FileSharingRecord

    public FileSharingRecord()

### FileSharingRecord

    public FileSharingRecord(RecordInputStream in)

Method Detail

### hashPassword

    public static short hashPassword(java.lang.String password)

### setReadOnly

    public void setReadOnly(short readonly)

  set the readonly flag

  Parameters:
    `readonly` - 1 for true, not 1 for false

### getReadOnly

    public short getReadOnly()

  get the readonly

  Returns:
    short representing if this is read only (1 = true)

### setPassword

    public void setPassword(short password)

  Parameters:
    `password` - hashed password

### getPassword

    public short getPassword()

  Returns:
    password hashed with hashPassword() (very lame)

### getUsername

    public java.lang.String getUsername()

  Returns:
    username of the user that created the file

### setUsername

    public void setUsername(java.lang.String username)

  Parameters:
    `username` - of the user that created the file

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Clone this record.

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD